commons.wikimedia.org doesn't auto-redirect to mobile site on mobile devices
Closed, ResolvedPublic

Description

On a mobile device, http://en.wikipedia.org auto-redirects to http://en.m.wikipedia.org, but http://commons.wikimedia.org does not currently auto-redirect to http://commons.m.wikimedia.org. The behavior should be consistent.


Version: unspecified
Severity: major

bzimport added a project: MobileFrontend-stable.Via ConduitNov 22 2014, 1:20 AM
bzimport set Reference to bz43628.
MZMcBride created this task.Via LegacyJan 4 2013, 2:06 AM
brion added a comment.Via ConduitJan 7 2013, 8:14 PM

Note that the SSL cert is bad at https://commons.m.wikimedia.org/

"commons.m.wikimedia.org uses an invalid security certificate.

The certificate is only valid for the following names:

*.wikipedia.org , wikipedia.org , m.wikipedia.org , *.m.wikipedia.org

(Error code: ssl_error_bad_cert_domain)"

MZMcBride added a comment.Via ConduitJan 10 2013, 10:17 PM

Jon: I see that you closed bug 43627. What's up with this bug?

Jdlrobson added a comment.Via ConduitJan 10 2013, 10:35 PM

There are certain redirect rules set up on various wiki* sites. When you access en.wikipedia.org it redirects you on a mobile device to en.m.wikipedia.org etc etc

Commons doesn't do this due to no mention in the horrible regex here:

https://gerrit.wikimedia.org/r/gitweb?p=operations/puppet.git;a=blob;f=files/squid/redirector.conf;h=2014ea4f32c5765e77f3819d406d431fb9beb195;hb=HEAD

Awjrichards added a comment.Via ConduitJan 11 2013, 3:10 AM

The project around making all WMF properties automatically redirect to the
mobile site got tabled around the Wiki Loves Monuments project. We were never
100% sure we'd be able to get around to commons given the timeline, and it is
the last big remaining project that does not have automatic mobile redirection.
Details of all this can be seen here:
http://www.mediawiki.org/wiki/Mobile_default_for_sister_projects
Ultimately, it was decided that more thought needs to be given to automatic
redirection for commons due to the unique nature of its content, and it would
potentially require making changes to MobileFrontend. This was de-prioritized
relative to the other work on our plates aimed at reaching the team's goals by
the end of this fiscal year. It's possible that this will come up again as
something for us to tackle before the fiscal year is out, but this is still
considered lower priority than the other work ahead.

MZMcBride added a comment.Via ConduitJan 11 2013, 3:14 AM

Thank you both very much for the explanations. :-)

Awjrichards added a comment.Via ConduitJan 11 2013, 3:36 PM

No problem, MZ :)

I updated the priority on this to low. Also, I do not think 'DNS' is the right component for this, since is actually relates partially to some C code invoked by the squids to handle the redirection, and partially to ensuring MobileFrontend is capable of appropriately handling commons content. So I've updated the component to Mediawiki extensions, and am now trying to associate this bug with MobileFrontend (that way it's less likely to fall off our radar).

MaxSem added a comment.Via ConduitJan 11 2013, 3:45 PM

Actually, enabling redirection to Commons doesn't require C code modification, it has a configuration file.

Jdlrobson added a comment.Via ConduitJan 15 2013, 8:30 PM
  • Bug 43627 has been marked as a duplicate of this bug. ***
Jdlrobson added a comment.Via ConduitFeb 27 2013, 1:17 AM

Moving to different component. MobileFontend is certainly not the right place for this and it's existence under MobileFrontend is confusing.

It is not likely to fall off anyone's radar as long as they are on the bug report.

Aklapper added a comment.Via ConduitFeb 28 2013, 10:46 PM

Also see bug 38763 comment 1

Dzahn added a comment.Via ConduitMar 1 2013, 10:40 PM

link to RT #4627

Dzahn added a comment.Via ConduitMar 14 2013, 6:44 PM

SSL cert looks ok to me meanwhile. These are the DNS names on the one i get:

includes DNS Name: *.m.wikimedia.org

Not Critical
DNS Name: *.wikipedia.org
DNS Name: wikipedia.org
DNS Name: m.wikipedia.org
DNS Name: *.m.wikipedia.org
DNS Name: wikibooks.org
DNS Name: m.wikibooks.org
DNS Name: *.wikibooks.org
DNS Name: *.m.wikibooks.org
DNS Name: wikidata.org
DNS Name: m.wikidata.org
DNS Name: *.wikidata.org
DNS Name: *.m.wikidata.org
DNS Name: wikimedia.org
DNS Name: m.wikimedia.org
DNS Name: *.wikimedia.org
DNS Name: *.m.wikimedia.org
DNS Name: wikimediafoundation.org
DNS Name: m.wikimediafoundation.org
DNS Name: *.wikimediafoundation.org
DNS Name: *.m.wikimediafoundation.org
DNS Name: wikinews.org
DNS Name: m.wikinews.org
DNS Name: *.wikinews.org
DNS Name: *.m.wikinews.org
DNS Name: wikiquote.org
DNS Name: m.wikiquote.org
DNS Name: *.wikiquote.org
DNS Name: *.m.wikiquote.org
DNS Name: wikisource.org
DNS Name: m.wikisource.org
DNS Name: *.wikisource.org
DNS Name: *.m.wikisource.org
DNS Name: wikiversity.org
DNS Name: m.wikiversity.org
DNS Name: *.wikiversity.org
DNS Name: *.m.wikiversity.org
DNS Name: wikivoyage.org
DNS Name: m.wikivoyage.org
DNS Name: *.wikivoyage.org
DNS Name: *.m.wikivoyage.org
DNS Name: wiktionary.org
DNS Name: m.wiktionary.org
DNS Name: *.wiktionary.org
DNS Name: *.m.wiktionary.org
DNS Name: mediawiki.org
DNS Name: *.mediawiki.org
DNS Name: m.mediawiki.org
DNS Name: *.m.mediawiki.org

Aklapper added a comment.Via ConduitMar 14 2013, 8:36 PM

The SSL part of this Bugzilla issue is resolved so I am moving this to the mobile team for the redirection part.

Confirming that the redirection part of this report is still valid.

(For general info about recent progress of SSL certs see http://lists.wikimedia.org/pipermail/wikitech-l/2013-March/067566.html )

bzimport added a comment.Via ConduitApr 26 2013, 3:08 AM
Aklapper added a comment.Via ConduitMay 24 2013, 12:25 PM
  • Bug 48617 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitJun 7 2013, 4:18 PM

usermono wrote:

Can someone do this? It's been months, it's not that hard - come on.

Jdlrobson added a comment.Via ConduitJun 7 2013, 5:29 PM

Then I guess this can happen?

Awjrichards added a comment.Via ConduitJun 7 2013, 5:37 PM

The change hasn't been deployed yet, so reopening.

When is this scheduled to go out?

Please update http://www.mediawiki.org/wiki/Mobile_default_for_sister_projects

Awjrichards added a comment.Via ConduitJun 18 2013, 12:19 AM

PS there's an RT ticket tracking the rollout: https://rt.wikimedia.org/Ticket/Display.html?id=5296

Timeline is still unclear, but some squids have been updated and now we're just waiting on the rest.

MaxSem added a comment.Via ConduitJun 18 2013, 5:58 PM

Done.

Add Comment